<nav aria-label="breadcrumb">
  <ol [ngClass]="jds.breadcrumb">
    <li [ngClass]="jds.breadcrumbItem">
      <a [routerLink]="['/home']">Beranda</a>
      <ng-container *ngTemplateOutlet="icon" />
    </li>

    @for (item of breadcrumb(); track item.label; let last = $last) {
      @if (last) {
        <li
          class="active"
          [ngClass]="jds.breadcrumbItem"
          aria-current="page"
        >
          {{ item.label }}
        </li>
      } @else {
        <li [ngClass]="jds.breadcrumbItem">
          <a [routerLink]="[item.link]">{{ item.label }}</a>
          <ng-container *ngTemplateOutlet="icon" />
        </li>
      }
    }
  </ol>
</nav>

<ng-template #icon>
  <jds-bi-icon
    [size]="12"
    name="chevron-right"
  />
</ng-template>
